Supc Struct Reference

SUPC hardware registers. More...

`#include <supc.h>`

## Data Fields

__IO SUPC_INTENCLR_Type | INTENCLR
| Offset: 0x00 (R/W 32) Interrupt Enable Clear.
__IO SUPC_INTENSET_Type | INTENSET
| Offset: 0x04 (R/W 32) Interrupt Enable Set.
__IO SUPC_INTFLAG_Type | INTFLAG
| Offset: 0x08 (R/W 32) Interrupt Flag Status and Clear.
__I SUPC_STATUS_Type | STATUS
| Offset: 0x0C (R/ 32) Power and Clocks Status.
__IO SUPC_BOD33_Type | BOD33
| Offset: 0x10 (R/W 32) BOD33 Control.
RoReg8 | Reserved1 [0x4]
__IO SUPC_VREG_Type | VREG
| Offset: 0x18 (R/W 32) VREG Control.
__IO SUPC_VREF_Type | VREF
| Offset: 0x1C (R/W 32) VREF Control.
__IO SUPC_BBPS_Type | BBPS
| Offset: 0x20 (R/W 32) Battery Backup Power Switch.
__IO SUPC_BKOUT_Type | BKOUT
| Offset: 0x24 (R/W 32) Backup Output Control.
__I SUPC_BKIN_Type | BKIN
| Offset: 0x28 (R/ 32) Backup Input Control.

## Detailed Description

SUPC hardware registers.

Definition at line 418 of file supc.h.

The documentation for this struct was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/supc.h